'use client';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import React, { useState } from 'react';

export default function() {
    const [activeTab, setActiveTab] = useState<any>(1);
    return (
        <PanelCodeHighlight
            title="فقط نوشته"
        >
            <div className="mb-5">
                <div className="inline-block w-full">
                    <ul className="mb-5 grid grid-cols-3 text-center">
                        <li>
                            <div
                                className={`${activeTab === 1 ? '!bg-primary text-white' : ''}
                                            block rounded-full bg-[#f3f2ee] p-2.5 dark:bg-[#1b2e4b]`}
                                onClick={() => setActiveTab(1)}
                            >
                                مرحله اول
                            </div>
                        </li>

                        <li>
                            <div className={`${activeTab === 2 ? '!bg-primary text-white' : ''} block rounded-full bg-[#f3f2ee] p-2.5 dark:bg-[#1b2e4b]`} onClick={() => setActiveTab(2)}>
                                مرحله دوم
                            </div>
                        </li>

                        <li>
                            <div className={`${activeTab === 3 ? '!bg-primary text-white' : ''} block rounded-full bg-[#f3f2ee] p-2.5 dark:bg-[#1b2e4b]`} onClick={() => setActiveTab(3)}>
                                مرحله سوم
                            </div>
                        </li>
                    </ul>

                    <div>
                        <p className="mb-5">{activeTab === 1 && 'با کلیک کردن روی پیکان چپ یا راست، ناوبری صفحه کلید را امتحان کنید!'}</p>
                        <p className="mb-5">{activeTab === 2 && 'دکمه های بعدی و قبلی به شما کمک می کنند تا در محتوای خود پیمایش کنید.'}</p>
                        <p className="mb-5">{activeTab === 3 && 'جلوه های انتقال شگفت انگیز'}</p>
                    </div>
                    <div className="flex justify-between">
                        <button type="button" className={`btn btn-primary ${activeTab === 1 ? 'hidden' : ''}`} onClick={() => setActiveTab(activeTab === 3 ? 2 : 1)}>
                            قبلی
                        </button>
                        <button type="button" className="btn btn-primary ltr:ml-auto rtl:mr-auto" onClick={() => setActiveTab(activeTab === 1 ? 2 : 3)}>
                            {activeTab === 3 ? 'تمام' : 'بعدی'}
                        </button>
                    </div>
                </div>
            </div>
        </PanelCodeHighlight>
    );
}
